/*
Vdraft	- venums.h
sub: OLE Automation interface
	(C) Copyright 1991-1997 by SoftSource.  All rights reserved.
Scott Sherman 3-96...
	updated for v1.5

	some automation routines return magic numbers
	these are lists of what those numbers are

*/

#ifndef VENUMS_H
#define VENUMS_H

/* IUnits::Linear */
enum veLinearUnits
{
	veLU_Scientific=1,
	veLU_Decimal,
	veLU_Engineering,
	veLU_Architectural,
	veLU_Fractional
};

/* IUnits::Angular */
enum veAngularUnits
{
	veAU_DecimalDegrees,
	veAU_DegMinSec,
	veAU_Grads,
	veAU_Radians,
	veAU_Surveyor
};

/* IDimStyle::Alignment */
enum veDimStyleAlignment
{
	veDSA_Horizontal,
	veDSA_DimLine,
	veDSA_Inside,
	veDSA_Outside
};

/* IDimStyle::Vertical */
enum veDimStyleVertical
{
	veDSV_Centered,
	veDSV_Above,
	veDSV_Relative
};

/* IDimStyle::Horizontal */
enum veDimStyleHorizontal
{
	veDSH_Default,
	veDSH_TextIn,
	veDSH_TextArrowsIn
};

/* IDimStyle::Tolerance */
enum veDimStyleTolerance
{
	veDST_None,
	veDST_Variance,
	veDST_Limits
};

/* IDimStyle::ArrowsType */
enum veCommonArrowsType
{
	veCAT_Block,
	veCAT_Default,
	veCAT_Dot,
	veCAT_Tick
};
/* IDimStyle::Arrow1Type */
/* IDimStyle::Arrow2Type */
enum veSeparateArrowsType
{
	veSAT_Block,
	veSAT_Default,
	veSAT_Dot
};

/* IEntity::Type */
enum veEntityType
{
	veET_Line,
	veET_Point,
	veET_Circle,
	veET_Shape,
	veET_Text,
	veET_Arc,
	veET_Trace,
	veET_Solid,
	veET_Insert,
	veET_Attdef,
	veET_Attrib,
	veET_2DPolyline,
	veET_3DPolyline,
	veET_Polymesh,
	veET_Polyface,
	veET_2DVertex,
	veET_Vertex,
	veET_FaceVertex,
	veET_3DFace,
	veET_HorizontalDim,
	veET_VerticalDim,
	veET_RotatedDim,
	veET_AlignedDim,
	veET_Angular4PointDim,
	veET_DiameterDim,
	veET_RadiusDim,
	veET_Angular3PointDim,
	veET_OrdinateXDim,
	veET_OrdinateYDim,
	veET_Viewport
};

/* IXData::Type */
enum veXDataType
{
	veXDT_Invalid,
	veXDT_String,
	veXDT_Control,
	veXDT_Layer,
	veXDT_RawData,
	veXDT_Handle,
	veXDT_Vector,
	veXDT_Double,
	veXDT_Short,
	veXDT_Long
};

/* IXData::Control */
enum veXDataControl
{
	veXDC_Start,	/* starting brace '{' */
	veXDC_End	/* ending brace '}' */
};

/* IPolyline::Curve */
/* IPolyline::ColumnCurve */
/* IPolyline::RowCurve */
enum vePolylineCurve
{
	vePC_NoCurve,
	vePC_Curved,
	vePC_Cubic,
	vePC_Quadratic
};

/* IText::Horizontal */
/* IAttdef::Horizontal */
/* IAttribute::Horizontal */
enum veJustifyHorizontal
{
	veJH_Left,
	veJH_Center,
	veJH_Right,
	veJH_Align,
	veJH_Middle,
	veJH_Fit
};

/* IText::Vertical */
/* IAttdef::Vertical */
/* IAttribute::Vertical */
enum veJustifyVertical
{
	veJV_Baseline,
	veJV_Bottom,
	veJV_Middle,
	veJV_Top
};

/* IBlocks::Add */
enum veBlockDefinitionMethod
{
	veBDM_EntitiesRemoved,
	veBDM_ReplacedByInsert,
	veBDM_EntitiesLeft
};

/* IPickEvents::SetCursorTipInfo */
enum veCursorTipInfo
{
	veCTI_None,
	veCTI_Offset,
	veCTI_Scale,
	veCTI_Angle,
	veCTI_LengthAngle,
	veCTI_Height,
	veCTI_Width,
	veCTI_Radius,
	veCTI_Length,
	veCTI_Diameter
};

/* IPickEvents::TriggerPopup */
enum vePickPopup
{
	vePP_Done,
	vePP_Cancel,
	vePP_Properties,
	vePP_Undo,
	vePP_Help,
	vePP_TypeCoordinates
};

/* ILine, I2DPolyline::Fillet and ::Chamfer */
enum veFilletChamfer
{
	veFC_Success,
	veFC_IllegalEntity,	/* at least 1 entity wasn't supported for fillet/chamfer */
	veFC_InInsert,			/* at least 1 entity was in an insert */
	veFC_DifferentSpace,	/* 1 entity was in paper the other in modelspace */
	veFC_NoIntersection,	/* the entities don't intersect */
	veFC_NotLongEnough,	/* at least 1 entity was not long enough */
	veFC_SameEntity,		/* we need 2 *different* entities */
	veFC_BadEntity,		/* at least 1 entity had info we couldn't work with */
	veFC_ZeroDistance,	/* plines can't fillet/chamfer if the distance/radius is 0 */
};

/* IUnits::ScaleMethod */
enum veScaleOptions
{
	veSO_ScaleBy,		/* scale by a particular factor */
	veSO_UnitEquals,	/* unit equals a metric unit */
	veSO_UnitIsInch,	/* unit equals an inch */
};

/* IUnits::MetricUnits and ::DisplayUnits */
enum veMetricDistance
{
	veMD_mm,
	veMD_cm,
	veMD_m,
	veMD_km,
};

#endif	/* VENUMS_H */
